Bug 526365 - new pygame 1.9.1 released. please update package
Summary: new pygame 1.9.1 released. please update package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pygame
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Christopher Stone
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 00:34 UTC by Rene Dudfield
Modified: 2009-12-14 02:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-14 12:55:16 UTC


Attachments (Terms of Use)

Description Rene Dudfield 2009-09-30 00:34:07 UTC
hi,

please package the new version of pygame 1.9.1.

cheers!


What's new (heaps of things since 1.8.1): http://www.pygame.org/whatsnew.shtml

Summary of changes:
  - many, many fixes and improvements. The largest amount of changes has gone
into this release than any other pygame release.
  - bug fixes for backwards compatibility issues introduced in pygame 1.8.x
series. old games like solarwolf and libraries like PGU work again.
  - experimental camera webcam module (still in development).
  - experimental midi module based on portmidi and pyportmidi (99% complete).
  - experimental gfxdraw module based on SDL_gfx (including AA circles,
textured polygons and other goodness).
  - python3, and python3.1 support mostly completed. Some modules still remain
to be completed - but mostly it's working.
  - nokia mobile phone s60 support.
  - improved OSX support (dropped pyobjc dependency, improved installer,
sysfont now works on OSX).
  - pygame.examples + pygame.tests included with pygame. This makes testing
easier, and also makes learning pygame more fun and easy.
  - cleanup of examples, and addition of new examples.
  - new tools to aid in development of pygame itself, better compilation
documentation.
  - py2app, and py2exe support improved.

Comment 1 Gwyn Ciesla 2009-10-09 14:06:55 UTC
I have a build ready and can commit an build for rawhide.  I've tested it on F-11 with the games I play and the games I written, with no ill effects.

Comment 2 Gwyn Ciesla 2009-10-12 18:22:34 UTC
Still testing, still playing, still no breakage so far.  I think I'll commit and build for rawhide on Wednesday 10/14 if there are no objections.

Comment 3 Gwyn Ciesla 2009-10-14 12:55:16 UTC
Committed and built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.